--- src/config.xml	2008-11-29 14:18:20.000000000 +0100
+++ src/config.xml	2009-04-09 14:04:34.000000000 +0200
@@ -743,6 +743,10 @@
 each generated HTML page. If it is left blank doxygen will generate a 
 standard footer. 
 ' defval='' depends='GENERATE_HTML'/>
+    <option type='bool' id='HTML_FOOTER_DESCRIPTION' docs='
+The HTML_FOOTER_DATE_AND_PROJECT_NAME tag can be used to add build date, 
+project name and Doxygen version to HTML footer.
+' defval='0' depends='GENERATE_HTML'/>
     <option type='string' id='HTML_STYLESHEET' format='file' docs='
 The HTML_STYLESHEET tag can be used to specify a user-defined cascading 
 style sheet that is used by each HTML page. It can be used to 
--- src/configoptions.cpp	2008-11-29 14:14:50.000000000 +0100
+++ src/configoptions.cpp	2009-04-09 14:07:41.000000000 +0200
@@ -1061,6 +1061,15 @@
   cs->setWidgetType(ConfigString::File);
   cs->addDependency("GENERATE_HTML");
   //----
+  cb = cfg->addBool(
+                 "HTML_FOOTER_DESCRIPTION",
+                 "If the HTML_FOOTER_DESCRIPTION tag is set to YES, Doxygen will \n"
+                 "add generated date, project name and doxygen version to HTML footer.",
+                 FALSE
+                );
+  //cs->setDefaultValue("FALSE");
+  cs->addDependency("GENERATE_HTML");
+  //----
   cs = cfg->addString(
                  "HTML_FOOTER",
                  "The HTML_FOOTER tag can be used to specify a personal HTML footer for \n"
--- src/htmlgen.cpp	2008-12-20 23:13:24.000000000 +0100
+++ src/htmlgen.cpp	2009-04-14 17:11:59.000000000 +0200
@@ -716,13 +716,21 @@
   if (g_footer.isEmpty())
   {
     t << "<hr size=\"1\"><address style=\"text-align: right;\"><small>";
-    t << theTranslator->trGeneratedAt(
+    if (Config_getBool("HTML_FOOTER_DESCRIPTION"))
+    {
+      t << theTranslator->trGeneratedAt(
         dateToString(TRUE),
         Config_getString("PROJECT_NAME")
         );
-    t << "&nbsp;" << endl << "<a href=\"http://www.doxygen.org/index.html\">";
+      t << "&nbsp;" << endl;
+    }
+    t << "<a href=\"http://www.doxygen.org/index.html\">";
     t << endl << "<img src=\"" << relPath << "doxygen.png\" alt=\"doxygen\" " 
-      << "align=\"middle\" border=\"0\">" << "</a> " << versionString << " ";
+      << "align=\"middle\" border=\"0\">" << "</a> ";
+    if (Config_getBool("HTML_FOOTER_DESCRIPTION"))
+    {
+      t << versionString << " ";
+    }
     t << "</small></address>";
     if (Debug::isFlagSet(Debug::Validate))
     {
